from django.contrib import admin
from .models import UserModel, Location, LocationManager
from django.contrib.auth.models import Group


class UserModelAdmin(admin.ModelAdmin):
    list_display = ['user', 'access_token', 'expiry', 'refresh_token', 'gmb_account_id']
    readonly_fields = ['access_token', 'refresh_token', 'gmb_account_id']


class LocationsAdmin(admin.ModelAdmin):
    list_display = ['location_id', 'care_name', 'location_name', 'website_url',
                    'review_site_url']


class LocationManagerAdmin(admin.ModelAdmin):
    list_display = ['name', 'email', 'location']


admin.site.register(Location, LocationsAdmin)
admin.site.register(LocationManager, LocationManagerAdmin)

admin.site.register(UserModel, UserModelAdmin)
admin.site.unregister(Group)
