from django.urls import path

from .views import LocationListView

from .views import (
    LocationAnalytics,
    ReviewListLocationWise,
    ReviewAnalyticsGraph,
    StaffLeaderBoard,
    SyncStaffLeaderBoard,
    StaffDelete,
)
urlpatterns = [
    path('', LocationListView.as_view(), name='location-list'),
    path('analytics/<str:location_id>', LocationAnalytics.as_view(), name='location-analytics-man'),
    path('reviews/<platform>/<str:location_id>', ReviewListLocationWise.as_view(), name='location-wise-review-list-man'),
    path('graph/<str:location_id>', ReviewAnalyticsGraph.as_view(), name='location-analytics-graph-man'),
    path('staff/<str:location_id>', StaffLeaderBoard.as_view(), name='staff-leaderboard-man'),
    path('staff/delete/<staff_id>', StaffDelete.as_view(), name='staff-delete-man'),
    path('sync-staff-list/<str:location_id>', SyncStaffLeaderBoard.as_view(), name='sync-staff-list-man'),
]
